<!DOCTYPE html>
<html>
    <head>
        <title>{% block title %}
            {% endblock %}</title>
        <link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}" />
        {% block scripts %}
            <script defer type="text/javascript" src="{{url_for('static', filename='script.js')}}" ></script>
        {% endblock %}
    </head>
    <body>
        <nav>
            
            {% if not current_user.is_authenticated %}
                <a href="{{ url_for('auth.signup') }}"> Signup </a>
                <a href="{{ url_for('auth.login') }}"> Login </a>
            {% endif %}
            {% if current_user.is_authenticated %}
                <a href="{{ url_for('member.get_members') }}"> Members </a>
                <a href="{{ url_for('member.get_profile', email=current_user.email) }}"> Profile </a>
                <a href="{{ url_for('auth.logout') }}"> Logout </a>
            {% endif %}
            <a href="{{ url_for('courseComp.display_courses') }}"> Courses</a>
            <a href="{{ url_for('courseComp.display_competencies') }}"> Competencies</a>
            <a href="{{ url_for('courseComp.display_domains') }}"> Domains</a>
            {% if current_user.is_authenticated and current_user.group.has_permission("canSeeGroup")%}
                <a href="{{ url_for('groups.display_all_groups') }}"> Groups </a>
            {% endif %}
        </nav>

        {% block message %}
            <div id="flash_messages">
                {% for message in get_flashed_messages() %}
                    <h3 class="flash">{{ message }}</h3>
                {% endfor %}
            </div>
        {% endblock %}
        
        <div id="content">
            {% block content %}
            {% endblock %}
        </div>

        <footer> 
            <hr>
            <br>
            Sila Ben Khelifa, Paul Alexandre Muraru, Michael Derocher 
        </footer>
    </body>
</html>